Bug 71790 - PATCH: monitor routers resetting TOS byte
PATCH: monitor routers resetting TOS byte
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: traceroute (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-19 07:23 EDT by Pekka Savola
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-12 08:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
monitor TOS byte changes with -t (3.55 KB, patch)
2002-08-19 07:23 EDT, Pekka Savola
no flags Details | Diff

  None (edit)
Description Pekka Savola 2002-08-19 07:23:20 EDT
Traceroute implements -t switch which can be used to set type-of-service byte in
the datagrams.

Certain routers are configured to change the value of TOS (mainly to implement
differentiated services model).

It's useful to know if this is happening.

I've taken a patch in a different traceroute program, enhanced it a bit plus
documented it and submitted it to the authors (last release of traceroute was
year or two ago though, so I'm not looking forward to response..).

The change is minimal and affects only operation in -t mode (see the patch).
Comment 1 Pekka Savola 2002-08-19 07:23:58 EDT
Created attachment 71405 [details]
monitor TOS byte changes with -t
Comment 2 Phil Knirsch 2003-05-12 08:10:06 EDT
Added patch in latest rawhide version.

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.